Get Shipping Carrier
The “List Shipping Carrier” API allows to retrieve a paginated list of shipping carrier.
GET
/
store
/
shipping-carrier
/
{shippingCarrierId}
Get Shipping Carrier
curl --request GET \
--url https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}const options = {method: 'GET'};
fetch('https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}"
response = requests.get(url)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
},
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}Path Parameters
Query Parameters
Last modified on March 8, 2026
Was this page helpful?
Get Shipping Carrier
curl --request GET \
--url https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}const options = {method: 'GET'};
fetch('https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://services.leadconnectorhq.com/store/shipping-carrier/{shippingCarrierId}"
response = requests.get(url)
print(response.text){
"status": true,
"data": {
"altId": "6578278e879ad2646715ba9c",
"altType": "location",
"name": "FedEx",
"callbackUrl": "https://example.com/get-shipping-rates",
"_id": "655b33a82209e60b6adb87a5",
"marketplaceAppId": "655b33a82209e60b6adb87a5",
"createdAt": "2023-12-12T09:27:42.355Z",
"updatedAt": "2023-12-12T09:27:42.355Z",
"services": [
{
"name": "Priority Mail Express International",
"value": "PriorityMailExpressInternational"
}
],
"allowsMultipleServiceSelection": true
},
"message": "Successfully created"
}{
"statusCode": 400,
"message": "Bad Request"
}{
"statusCode": 401,
"message": "Invalid token: access token is invalid",
"error": "Unauthorized"
}{
"statusCode": 422,
"message": [
"Unprocessable Entity"
],
"error": "Unprocessable Entity"
}